<?php
declare(strict_types=1);

use Carbon\Carbon;
use Illuminate\Support\Facades\File;

// Variables
$GLOBALS['streamOpts'] = [
    "ssl" => [
        "verify_peer" => false,
        "verify_peer_name" => false,
    ]
];

if (!function_exists('polishDate')) {
    function polishDate($date)
    {
        if ($date) {
            $day = Carbon::parse($date)->format('d');

            switch (Carbon::parse($date)->format('m')) {
                case 01:
                    $month = 'stycznia';
                    break;
                case 02:
                    $month = 'lutego';
                    break;
                case 03:
                    $month = 'marca';
                    break;
                case 04:
                    $month = 'kwietnia';
                    break;
                case 05:
                    $month = 'maja';
                    break;
                case 06:
                    $month = 'czerwca';
                    break;
                case 07:
                    $month = 'lipca';
                    break;
                case 8:
                    $month = 'sierpnia';
                    break;
                case 9:
                    $month = 'września';
                    break;
                case 10:
                    $month = 'października';
                    break;
                case 11:
                    $month = 'listopada';
                    break;
                case 12:
                    $month = 'grudnia';
                    break;
            }

            $year = Carbon::parse($date)->format('Y');
            return $day . ' ' . $month . ' ' . $year;
        }
        return false;
    }
}

/**
 * Convert .css to code
 */
if (!function_exists('convertCssFileToCode')) {
    function convertCssFileToCode($pathToCss)
    {
        ini_set('user_agent','Mozilla/4.0 (compatible; MSIE 6.0)');
        $css = File::exists(public_path($pathToCss)) ? file_get_contents(asset($pathToCss), false, stream_context_create($GLOBALS['streamOpts'])) : null;

        return $css;
    }
}

/**
 * Convert .js to code
 */
if (!function_exists('convertJsFileToCode')) {
    function convertJsFileToCode($pathToJs)
    {
        ini_set('user_agent','Mozilla/4.0 (compatible; MSIE 6.0)');
        $js = File::exists(public_path($pathToJs)) ? file_get_contents(asset($pathToJs), false, stream_context_create($GLOBALS['streamOpts'])) : null;

        return $js;
    }
}

/**
 * Add class to last sentence
 */
if (!function_exists('addClassesToLastSentence')) {
    function addClassesToLastSentence($string, $classes)
    {
        $explodedString = explode(' ', $string);
        $arrayKeyLast = array_key_last($explodedString);

        $lastElementOfString = '<span class="' . $classes . '">' . last($explodedString) . '</span>';

        $explodedString[$arrayKeyLast] = $lastElementOfString;

        return implode(' ', $explodedString);
    }
}
