<?php

namespace App\Http\Controllers;

use App\Models\Realization;
use App\Models\Service;

class SitemapXmlController extends Controller
{
    public function index()
    {
        $realizations = Realization::active()->ordered()->get();
        $services = Service::active()->ordered()->get();

        $pages = [
            [
                'name' => 'homepage',
                'url' => route('homepage'),
                'date' => '04.02.2024',
                'priority' => 1
            ],
            [
                'name' => 'about-us',
                'url' => route('about-us'),
                'date' => '04.02.2024',
                'priority' => 0.6
            ],
            [
                'name' => 'services',
                'url' => route('services'),
                'date' => '04.02.2024',
                'priority' => 0.9
            ],
            [
                'name' => 'realizations',
                'url' => route('realizations'),
                'date' => '04.02.2024',
                'priority' => 0.7
            ],
            [
                'name' => 'contact',
                'url' => route('contact'),
                'date' => '04.02.2024',
                'priority' => 0.4
            ],
            [
                'name' => 'privacy-policy',
                'url' => route('privacy-policy'),
                'date' => '16.02.2024',
                'priority' => 0.1
            ],
        ];

        return response()->view('_sitemap', [
            'pages' => $pages,
            'realizations' => $realizations,
            'services' => $services,
        ])->header('Content-Type', 'text/xml');
    }
}
