<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Sushi\Sushi;

class Realization extends Model
{
    use HasFactory;
    use Sushi;

    public function getRows()
    {
        return [
            [
                'id' => 1,
                'title' => '<span>Fiat Ducato</span> przestrzeń ładunkowa - skan 3D',
                'slug' => 'fiat-ducato-przestrzen-ladunkowa-skan-3d',
                'short_description' => 'Digitalizacja przestrzeni ładunkowej w celu zaprojektowania dedykowanej zabudowy.',
                'description' => '
                Dla naszego klienta z branży usług pogrzebowych wykonaliśmy dokładne skanowanie przestrzeni ładunkowej Fiata Ducato. Zadanie to miało kluczowe znaczenie dla stworzenia dokładnego modelu, który posłuży jako podstawa do projektowania dedykowanej zabudowy.
                <br>
                W przypadku skanowania przestrzeni ładunkowej Fiata Ducato  zmierzyliśmy się z wyzwaniem utrzymania wysokiej jakości skanu 3D przy jednoczesnym ograniczeniu rozmiaru pliku. Skanowanie obiektu o tak dużych gabarytach wymagało od nas szczególnej uwagi na zachowanie detali i dokładności, jednocześnie dbając o to, by finalny plik był na tyle kompaktowy, aby nie obciążać nadmiernie oprogramowania CAD podczas późniejszych prac projektowych. Ta równowaga jest kluczowa dla zapewnienia efektywności pracy nad projektami, gdzie szybkość i płynność operacji na dużych modelach ma fundamentalne znaczenie dla komfortu i tempa prac projektowych.
                <br>
                Specjalizujemy się w skanowaniu 3D szerokiej gamy pojazdów – od dostawczych i użytkowych, przez sportowe i pick-upy, aż po terenowe. Dzięki naszej zaawansowanej technologii i doświadczeniu, oferujemy usługi skanowania i projektowania modyfikacji, które precyzyjnie odpowiadają na potrzeby naszych klientów. Oferujemy projektowanie różnorodnych typów zabudowy, klatek bezpieczeństwa, elementów tuningu, a także innowacyjnych rozwiązań dostosowanych do indywidualnych wymagań. Niezależnie od projektu, nasz zespół ekspertów jest gotów sprostać każdemu wyzwaniu, łącząc kreatywność z techniczną precyzją, aby dostarczyć rozwiązania na najwyższym poziomie.
                ',
                'steps' => json_encode([
                ]),
                'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/1-fiat-ducato-przestrzen-ladunkowa-skan-3d.webp',
                'images' => json_encode([
                    [
                        'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/gallery/1.webp',
                        'alt' => 'Fiat Ducato przestrzeń ładunkowa - skan 3D - zdjęcie 1',
                    ],
                    [
                        'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/gallery/2.webp',
                        'alt' => 'Fiat Ducato przestrzeń ładunkowa - skan 3D - zdjęcie 2',
                    ],
                    [
                        'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/gallery/3.webp',
                        'alt' => 'Fiat Ducato przestrzeń ładunkowa - skan 3D - zdjęcie 3',
                    ],
                    [
                        'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/gallery/4.webp',
                        'alt' => 'Fiat Ducato przestrzeń ładunkowa - skan 3D - zdjęcie 4',
                    ],
                    [
                        'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/gallery/5.webp',
                        'alt' => 'Fiat Ducato przestrzeń ładunkowa - skan 3D - zdjęcie 5',
                    ],
                    [
                        'image' => 'images/realizations/1-fiat-ducato-przestrzen-ladunkowa-skan-3d/gallery/6.webp',
                        'alt' => 'Fiat Ducato przestrzeń ładunkowa - skan 3D - zdjęcie 6',
                    ],
                ]),
                'order' => 10,
                'date' => '04.02.2024',
                'status' => true,
                'highlighted' => true
            ],
            [
                'id' => 2,
                'title' => '<span>Wkrętarka</span> - skan 3D',
                'slug' => 'wkretarka-skan-3d',
                'short_description' => 'Odwzorowanie geometrii obiektu wraz z jego rzeczywistym wyglądem zewnętrznym.',
                'description' => 'Zapraszamy do zapoznania się z procesem skanowania 3D, przedstawionym na przykładzie klasycznej wkrętarki. Technologia ta pozwala nie tylko na dokładne odwzorowanie geometrii skanowanego przedmiotu, ale również na zarejestrowanie jego autentycznego wyglądu zewnętrznego. Co więcej, dzięki wykorzystaniu fotogrametrii, możemy uzyskać jeszcze bardziej szczegółowe tekstury i modele 3D. Ta metoda, polegająca na wykorzystaniu zdjęć wykonanych z różnych kątów, umożliwia tworzenie wyjątkowo realistycznych wizualizacji. Dzięki możliwości nałożenia na model jego rzeczywistej tekstury, otwierają się przed nami nowe możliwości w wielu dziedzinach - od fotografii, przez produkcję filmową, projektowanie graficzne, aż po przemysł gier komputerowych i tworzenie animacji 3D. Ta metoda oferuje niesamowite korzyści dla twórców, umożliwiając im tworzenie bardziej realistycznych i szczegółowych wizualizacji, co może znacząco podnieść wartość produkcyjną ich prac.',
                'steps' => json_encode([
                ]),
                'image' => 'images/realizations/2-wkretarka-skan-3d/wkretarka-skan-3d.webp',
                'images' => json_encode([
                    [
                        'image' => 'images/realizations/2-wkretarka-skan-3d/gallery/1.webp',
                        'alt' => 'Wkrętarka - skan 3D - zdjęcie 1',
                    ],
                    [
                        'image' => 'images/realizations/2-wkretarka-skan-3d/gallery/2.webp',
                        'alt' => 'Wkrętarka - skan 3D - zdjęcie 2',
                    ],
                ]),
                'order' => 20,
                'date' => '04.02.2024',
                'status' => true,
                'highlighted' => true
            ],
            [
                'id' => 3,
                'title' => '<span>Figurka ceramiczna </span> - skan 3D',
                'slug' => 'figurka-ceramiczna-skan-3d',
                'short_description' => 'Odkryj możliwości digitalizacji przedmiotów dekoracyjnych, zabawek, wszelkich przedmiotów codziennego użytku oraz eksponatów muzealnych.',
                'description' => '
                Jednym z przykładów naszej pracy jest skanowanie ceramicznej figurki aniołka. Dzięki zastosowaniu sprawdzonych narzędzi, byliśmy w stanie szybko i dokładnie zeskanować figurkę, zachowując przy tym wszystkie subtelności jej wyglądu, w tym połyskujące złote skrzydełka. Dużym ułatwieniem podczas tego skanu było zastosowanie specjalistycznego sprayu do skanowania 3D marki AESUB, co przełożyło się na szybsze i dokładniejsze skanowanie figurki.
                <br>
                W Cadictive oferujemy skanowanie szerokiej gamy przedmiotów, od codziennego użytku po wyjątkowe dekoracje, figurki i zabawki. Nasz zespół wykorzystuje nowoczesne technologie skanowania 3D, aby dostarczać rozwiązania dopasowane do potrzeb naszych klientów, co pozwala na realizację nawet najbardziej wymagających projektów.
                <br>
                W kontekście tworzenia unikalnych pamiątek, nasza oferta obejmuje również skanowanie osób, w tym kobiet w ciąży. Ta niezwykła usługa pozwala na uchwycenie tego wyjątkowego momentu w życiu z niezrównaną dokładnością, oferując możliwość późniejszego drukowania figur 3D, które staną się cennym wspomnieniem na lata.
                Ponadto, angażujemy się w ważne projekty digitalizacji dziedzictwa kulturowego, w tym skanowanie eksponatów muzealnych. Nasze działania w tym obszarze pozwalają na zachowanie cyfrowych kopii przedmiotów o znaczeniu historycznym i kulturowym, co nie tylko ułatwia ich konserwację i badanie, ale również rozszerza dostęp do tych zasobów dla szerokiej publiczności, bez potrzeby fizycznego odwiedzania muzeów.
                <br>
                Nasze zaangażowanie w wykorzystanie nowoczesnych technologii i sprawdzonych metod pracy podkreśla nasze dążenie do dostarczania usług najwyższej jakości, zarówno w zakresie skanowania przedmiotów codziennego użytku, jak i realizacji projektów o większym znaczeniu kulturowym i historycznym.
                ',
                'steps' => json_encode([
                ]),
                'image' => 'images/realizations/3-figurka-ceramiczna-skan-3d/figurka-ceramiczna-skan-3d.webp',
                'images' => json_encode([
                ]),
                'order' => 30,
                'date' => '04.02.2024',
                'status' => true,
                'highlighted' => true
            ],
            [
                'id' => 4,
                'title' => '<span>Napinacz paska wieloklinowego</span> - skan 3D',
                'slug' => 'napinacz-paska-wieloklinowego-skan-3d',
                'short_description' => 'Skanowanie złożonych geometrii dla przemysłu motoryzacyjnego - przedstawiamy zeskanowany napinacz paska wieloklinowego.',
                'description' => 'Przedstawiamy zeskanowany napinacz paska wieloklinowego - element jest wysokociśnieniowym odlewem aluminium (high-pressure die casting). Proces skanowania 3D umożliwił przeniesienie fizycznego obiektu do przestrzennej chmury punktów i późniejszego modelu powierzchniowego w postaci siatki trójkątów. Skanowanie 3D pozwala na łatwe archiwizowanie, analizę oraz ewentualne modyfikacje projektowe bez konieczności dostępu do fizycznego komponentu.<br>Na zdjęciach widoczny jest oryginalny element, a obok niego jego cyfrowe odpowiedniki – detaliczne modele 3D, które odwzorowują skomplikowaną geometrię napinacza. Dzięki skanowaniu 3D, możliwe jest precyzyjne odwzorowanie kształtów i cech szczególnych części, co jest niezwykle przydatne w procesach projektowych, symulacjach działania elementów i wizualizacji końcowych produktów.',
                'steps' => json_encode([
                ]),
                'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/4-napinacz-paska-wieloklinowego-skan-3d.webp',
                'images' => json_encode([
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/1.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 1',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/2.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 2',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/3.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 3',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/4.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 4',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/5.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 5',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/6.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 6',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/7.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 7',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/8.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 8',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/9.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 9',
                    ],
                    [
                        'image' => 'images/realizations/4-napinacz-paska-wieloklinowego-skan-3d/gallery/10.webp',
                        'alt' => 'Napinacz paska wieloklinowego - skan 3D - zdjęcie 10',
                    ],
                ]),
                'order' => 30,
                'date' => '04.02.2024',
                'status' => true,
                'highlighted' => true
            ],
        ];
    }

    public function scopeActive($query)
    {
        return $query->where('status', true);
    }

    public function scopeHighlighted($query)
    {
        return $query->where('highlighted', true);
    }

    public function scopeOrdered($query)
    {
        return $query->orderBy('order', 'ASC');
    }
}
