<?php

namespace App\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ContactRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'inputFullName' => 'required',
            'inputEmail' => 'required',
//            'inputPhone' => 'required',
            'inputMessage' => 'required',
            'inputFile' => 'max:10000|mimes:png,jpg,jpeg,stp,step,x_t,obj,pdf,dwg,iges,dxf,stl',
        ];
    }

    public function messages()
    {
        return [
            'inputFullName.required' => 'Pole jest wymagane.',
            'inputEmail.required' => 'Pole jest wymagane.',
//            'inputPhone.required' => 'Pole jest wymagane.',
            'inputMessage.required' => 'Pole jest wymagane.',
            'inputFile.max' => 'Plik może mieć maksymalnie 10MB.',
            'inputFile.mimes' => 'Dopuszczalne formaty - png, jpg, jpeg, stp, step, x_t, obj, pdf, dwg, iges, dxf, stl',
        ];
    }
}
