$(function () {
    $('#loading').hide();

    $('#contact-us-form').submit(function(e) {
        e.preventDefault();

        $('.form-control').removeClass('is-invalid');
        const button = $('.submit_btn');
        const buttonTitle = $('.button_title');
        const fileInput = $('.file-input');
        fileInput.closest('.file-input').removeClass('file-input--is-invalid');

        $(button).attr('disabled','disabled').css({ opacity: 0.6 });
        $('#loading').show();
        buttonTitle.text('Wysyłanie...');
        let form = $(this);
        const formData = new FormData(form[0]);

        $.ajax({
            url: form.attr('action'),
            type:'POST',
            processData: false,
            contentType: false,
            data: formData,
            success: function(data) {
                form.find('input').val('');
                form.find('textarea').val('');
                // grecaptcha.reset();
                // form.find('.error-message').slideUp();

                $('#loading').hide();
                $('#contact-us-form .error-message').html('').animate({opacity: '0'});
                $(buttonTitle).text('Wiadomość została wysłana!');
                fileInput.find('span').text('Wybierz plik z dysku');
                $(button).attr('disabled',false).css({ opacity: 1 });
                $(buttonTitle).delay(6000).queue(function(n) {
                    $(this).text('Wyślij wiadomość'); n();
                });

            },
            error: function(response) {
                $('#contact-us-form .error-message').html('').animate({opacity: '0'});
                const errors = response.responseJSON.errors;
                console.log(errors);

                $.each(errors, function (i, value) {
                    const inputByName = $("[name="+ i +"]");
                    inputByName.addClass('is-invalid');
                    const form_group = inputByName.closest('.form-group');
                    form_group.find('.error-message').html(value[0]).stop(true, true).animate({opacity: '1'});

                    if (i === 'inputFile') {
                        fileInput.closest('.file-input').find('.error-message').html(value[0]).stop(true, true).animate({opacity: '1'});
                        fileInput.closest('.file-input').addClass('file-input--is-invalid');
                    }
                });
                $('#loading').hide();
                $(buttonTitle).text('Wyślij wiadomość');
                $('#contact-us-form button').attr('disabled', false).css({opacity: 1});
            },
        });

    });


    const fileInput = $('#contact-us-form').find("input[name='inputFile']");
    $(fileInput).change( function() {
        if ($(this).get(0).files.length === 1) {
            $(this).closest('.file-input').find('span').text('Zmień plik');
        }
    });
})
