<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="robots" content="index, follow"/>
    <meta name="author" content="m-agency.pl"/>

    {!! SEOMeta::generate() !!}
    {!! OpenGraph::generate() !!}
    {!! Twitter::generate() !!}


    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('images/favicons/apple-touch-icon.png') }}">
    <link rel="icon" type="image/png" sizes="32x32" href=" {{ asset('images/favicons/apple-touch-icon.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('images/favicons/favicon-32x32.png') }}">
    <link rel="manifest" href="{{ asset('images/favicons/site.webmanifest') }}">
    <link rel="mask-icon" href="{{ asset('images/favicons/safari-pinned-tab.svg') }}" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">

    {{--TODO - json-ld--}}
    {{--TODO - gtag--}}

    @if(isset($css) && $css)
{{--        <style>--}}
{{--            {!! $css !!}--}}
{{--        </style>--}}
        <link rel="stylesheet" href="{{ $css }}">
    @endif

    @yield('header')
</head>
<body>

<section class="navigation">
    <div class="container">

        {{--Logo--}}
        <div class="navigation__logo">
            <a href="{{ route('homepage') }}">
                <img src="{{ asset('images/logo.svg') }}" alt="Logo Cadictive" class="navigation__logo-img">
            </a>
        </div>

        <nav class="navigation__body">
            <ul>
                <li class="{{ Route::currentRouteName() == 'homepage' ? 'active' : '' }}">
                    <a href="{{ route('homepage') }}">Strona główna</a>
                </li>
                <li class="{{ Route::currentRouteName() == 'about-us' ? 'active' : '' }}">
                    <a href="{{ route('about-us') }}">O nas</a>
                </li>
                <li class="{{ Route::currentRouteName() == 'services' || Route::currentRouteName() == 'service' ? 'active' : '' }}">
                    <a href="{{ route('services') }}">Usługi</a>
                </li>
                <li class="{{ Route::currentRouteName() == 'realizations' || Route::currentRouteName() == 'realization' ? 'active' : '' }}">
                    <a href="{{ route('realizations') }}">Realizacje</a>
                </li>
            </ul>

            <div class="navigation__contact-items">
                <a class="navigation__phone" href="tel:882605522">
                    <svg id="phone-call_1_" data-name="phone-call (1)" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 17.149 17.173">
                        <g id="Group_387" data-name="Group 387" transform="translate(0 0)">
                            <path id="Path_525" data-name="Path 525" d="M13.9,37.051a1.689,1.689,0,0,0-1.225-.562,1.747,1.747,0,0,0-1.24.558l-1.145,1.142c-.094-.051-.188-.1-.279-.145-.13-.065-.254-.127-.359-.192a12.449,12.449,0,0,1-2.983-2.718,7.344,7.344,0,0,1-.979-1.544c.3-.272.573-.555.841-.826.1-.1.2-.207.3-.308a1.663,1.663,0,0,0,0-2.508l-.99-.99c-.112-.112-.228-.228-.337-.344-.217-.225-.446-.457-.681-.674a1.716,1.716,0,0,0-1.214-.533,1.775,1.775,0,0,0-1.232.533l-.007.007L1.146,29.189a2.652,2.652,0,0,0-.787,1.685,6.354,6.354,0,0,0,.464,2.689A15.606,15.606,0,0,0,3.6,38.189a17.057,17.057,0,0,0,5.68,4.447,8.849,8.849,0,0,0,3.19.942c.076,0,.156.007.228.007a2.731,2.731,0,0,0,2.091-.9c0-.007.011-.011.014-.018a8.24,8.24,0,0,1,.634-.656c.156-.149.315-.3.471-.468a1.808,1.808,0,0,0,.547-1.254,1.742,1.742,0,0,0-.558-1.243Zm1.3,3.817s0,0,0,0c-.141.152-.286.29-.442.442a9.53,9.53,0,0,0-.7.725,1.747,1.747,0,0,1-1.363.576c-.054,0-.112,0-.167,0A7.861,7.861,0,0,1,9.7,41.759a16.1,16.1,0,0,1-5.35-4.19,14.715,14.715,0,0,1-2.61-4.346,5.175,5.175,0,0,1-.406-2.269,1.664,1.664,0,0,1,.5-1.076l1.236-1.236a.824.824,0,0,1,.551-.257.775.775,0,0,1,.529.254l.011.011c.221.207.431.42.652.649.112.116.228.232.344.352l.99.99a.692.692,0,0,1,0,1.124c-.105.105-.207.21-.312.312-.3.312-.594.6-.91.884-.007.007-.014.011-.018.018a.739.739,0,0,0-.188.823l.011.033A7.944,7.944,0,0,0,5.9,35.743l0,0a13.3,13.3,0,0,0,3.219,2.929,4.95,4.95,0,0,0,.446.243c.13.065.254.127.359.192.014.007.029.018.043.025a.786.786,0,0,0,.359.091.775.775,0,0,0,.551-.25l1.24-1.24a.82.82,0,0,1,.547-.272.738.738,0,0,1,.522.265l.007.007,2,2A.717.717,0,0,1,15.2,40.868Z" transform="translate(-0.344 -26.413)" fill="#07beb8"/>
                            <path id="Path_526" data-name="Path 526" d="M245.347,86.9a4.665,4.665,0,0,1,3.8,3.8.486.486,0,0,0,.482.406.648.648,0,0,0,.083-.007.49.49,0,0,0,.4-.565,5.64,5.64,0,0,0-4.6-4.6.492.492,0,0,0-.565.4A.484.484,0,0,0,245.347,86.9Z" transform="translate(-236.078 -82.811)" fill="#07beb8"/>
                            <path id="Path_527" data-name="Path 527" d="M256.912,7.576A9.288,9.288,0,0,0,249.344.008a.489.489,0,1,0-.159.964,8.3,8.3,0,0,1,6.763,6.763.486.486,0,0,0,.482.406.647.647,0,0,0,.083-.007A.48.48,0,0,0,256.912,7.576Z" transform="translate(-239.771 0)" fill="#07beb8"/>
                        </g>
                    </svg>
                    <span>882 605 522</span>
                </a>
                <a class="navigation__button turquoise-button" href="{{ route('contact') }}">Skontaktuj się</a>
            </div>
        </nav>

        <div class="navigation__hamburger hamburger hamburger--slider">
            <div class="hamburger-box">
                <div class="hamburger-inner"></div>
            </div>
        </div>
    </div>
</section>


<main>
    @yield('content')
</main>

<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="col-12 col-md-12 col-lg-4">
                <img src="{{ asset('images/logo-white.webp') }}" alt="Cadictive" class="footer__logo">
                <p class="footer__description">Nasza firma oferuje kompleksowe i precyzyjne usługi projektowania CAD, wykorzystując najnowocześniejsze narzędzia i technologie.</p>
                <div class="footer__socials">
                    <a href="https://www.facebook.com/cadictive" rel="nofollow">
                        <svg id="facebook-app-symbol_3_" data-name="facebook-app-symbol (3)" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 11.044 21.268">
                            <path id="f_1_" d="M44.459,21.268v-9.7h3.255L48.2,7.786H44.459V5.372c0-1.095.3-1.84,1.874-1.84h2V.148A27.13,27.13,0,0,0,45.418,0c-2.887,0-4.863,1.762-4.863,5V7.786H37.29v3.782h3.265v9.7Z" transform="translate(-37.29)" fill="#fff"/>
                        </svg>
                    </a>
                    <a href="https://www.instagram.com/cadictive" rel="nofollow">
                        <svg id="instagram_5_" data-name="instagram (5)" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 21.268 21.268">
                            <g id="Group_201" data-name="Group 201">
                                <g id="Group_200" data-name="Group 200" transform="translate(0)">
                                    <path id="Path_384" data-name="Path 384" d="M15.956,0H5.322A5.333,5.333,0,0,0,0,5.317V15.951a5.333,5.333,0,0,0,5.317,5.317H15.956a5.333,5.333,0,0,0,5.317-5.317V5.317A5.333,5.333,0,0,0,15.956,0ZM19.5,15.951A3.548,3.548,0,0,1,15.956,19.5H5.322a3.549,3.549,0,0,1-3.545-3.545V5.317A3.549,3.549,0,0,1,5.322,1.772H15.956A3.548,3.548,0,0,1,19.5,5.317Z" transform="translate(-0.005)" fill="#fff"/>
                                </g>
                            </g>
                            <g id="Group_203" data-name="Group 203" transform="translate(15.065 3.545)">
                                <g id="Group_202" data-name="Group 202">
                                    <circle id="Ellipse_8" data-name="Ellipse 8" cx="1.329" cy="1.329" r="1.329" fill="#fff"/>
                                </g>
                            </g>
                            <g id="Group_205" data-name="Group 205" transform="translate(5.317 5.317)">
                                <g id="Group_204" data-name="Group 204">
                                    <path id="Path_385" data-name="Path 385" d="M107.722,102.4a5.317,5.317,0,1,0,5.317,5.317A5.316,5.316,0,0,0,107.722,102.4Zm0,8.862a3.545,3.545,0,1,1,3.545-3.545A3.545,3.545,0,0,1,107.722,111.262Z" transform="translate(-102.405 -102.4)" fill="#fff"/>
                                </g>
                            </g>
                        </svg>
                    </a>
{{--                    <a href="#" rel="nofollow">--}}
{{--                        <svg id="artstation" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24.162 21.27">--}}
{{--                            <path id="Path_386" data-name="Path 386" d="M0,378.131l2.216,3.822h0a2.643,2.643,0,0,0,2.366,1.456H19.26l-3.045-5.279Z" transform="translate(0 -362.139)" fill="#fff"/>--}}
{{--                            <path id="Path_387" data-name="Path 387" d="M216.839,47.062a2.284,2.284,0,0,0-.424-1.32l-8.6-13.807a2.672,2.672,0,0,0-2.339-1.3h-4.546l13.285,21.244,2.092-3.348A2.265,2.265,0,0,0,216.839,47.062Z" transform="translate(-192.677 -30.641)" fill="#fff"/>--}}
{{--                            <path id="Path_388" data-name="Path 388" d="M54.174,113.78l-5.94-10.292L42.293,113.78Z" transform="translate(-40.13 -100.282)" fill="#fff"/>--}}
{{--                        </svg>--}}
{{--                    </a>--}}
                </div>
            </div>
            <div class="col-12 col-sm-6 col-lg-3 offset-lg-1">
                <p class="h4 footer__title">Dane kontaktowe</p>
                <ul>
                    <li>CADICTIVE Adrian Tarnowski</li>
                    <li>NIP: 898-230-30-99</li>
                    <li><a href="tel:882 605 522">882 605 522</a></li>
                    <li><a href="mailto:kontakt@cadictive.com">kontakt@cadictive.com</a></li>
                    <li>ul. Semaforowa 1, 52-115 Wrocław</li>
                    <li>Godziny pracy: 10:00-18:00</li>
                </ul>
            </div>
            <div class="col-12 col-sm-6 col-lg-3 offset-lg-1">
                <p class="h4 footer__title">Nawigacja</p>
                <ul>
                    <li><a href="{{ route('homepage') }}">Strona główna</a></li>
                    <li><a href="{{ route('services') }}">Usługi</a></li>
                    <li><a href="{{ route('about-us') }}">O nas</a></li>
                    <li><a href="{{ route('realizations') }}">Realizacje</a></li>
                    <li><a href="{{ route('contact') }}">Kontakt</a></li>
                    <li><a href="{{ route('privacy-policy') }}">Polityka prywatności</a></li>
                </ul>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="footer__signature">
                    <p>Tworzone z pasją, dostarczane z zaangażowaniem <svg class="heart" viewBox="0 -28 512.001 512" xmlns="http://www.w3.org/2000/svg"><path d="m256 455.515625c-7.289062 0-14.316406-2.640625-19.792969-7.4375-20.683593-18.085937-40.625-35.082031-58.21875-50.074219l-.089843-.078125c-51.582032-43.957031-96.125-81.917969-127.117188-119.3125-34.644531-41.804687-50.78125-81.441406-50.78125-124.742187 0-42.070313 14.425781-80.882813 40.617188-109.292969 26.503906-28.746094 62.871093-44.578125 102.414062-44.578125 29.554688 0 56.621094 9.34375 80.445312 27.769531 12.023438 9.300781 22.921876 20.683594 32.523438 33.960938 9.605469-13.277344 20.5-24.660157 32.527344-33.960938 23.824218-18.425781 50.890625-27.769531 80.445312-27.769531 39.539063 0 75.910156 15.832031 102.414063 44.578125 26.191406 28.410156 40.613281 67.222656 40.613281 109.292969 0 43.300781-16.132812 82.9375-50.777344 124.738281-30.992187 37.398437-75.53125 75.355469-127.105468 119.308594-17.625 15.015625-37.597657 32.039062-58.328126 50.167969-5.472656 4.789062-12.503906 7.429687-19.789062 7.429687zm-112.96875-425.523437c-31.066406 0-59.605469 12.398437-80.367188 34.914062-21.070312 22.855469-32.675781 54.449219-32.675781 88.964844 0 36.417968 13.535157 68.988281 43.882813 105.605468 29.332031 35.394532 72.960937 72.574219 123.476562 115.625l.09375.078126c17.660156 15.050781 37.679688 32.113281 58.515625 50.332031 20.960938-18.253907 41.011719-35.34375 58.707031-50.417969 50.511719-43.050781 94.136719-80.222656 123.46875-115.617188 30.34375-36.617187 43.878907-69.1875 43.878907-105.605468 0-34.515625-11.605469-66.109375-32.675781-88.964844-20.757813-22.515625-49.300782-34.914062-80.363282-34.914062-22.757812 0-43.652344 7.234374-62.101562 21.5-16.441406 12.71875-27.894532 28.796874-34.609375 40.046874-3.453125 5.785157-9.53125 9.238282-16.261719 9.238282s-12.808594-3.453125-16.261719-9.238282c-6.710937-11.25-18.164062-27.328124-34.609375-40.046874-18.449218-14.265626-39.34375-21.5-62.097656-21.5zm0 0"/></svg> <a href="https://m-agency.pl/" target="_blank">m-agency.pl</a></p>
                </div>
            </div>
        </div>
    </div>
</footer>


@if(isset($js) && $js)
    <script src="{{ $js }}"></script>
{{--    <script>--}}
{{--        {!! $js !!}--}}
{{--    </script>--}}
@endif

@yield('end-of-body')
</body>
</html>
