@extends('_master')

@section('content')

    @include('global-components.subpage-header', [
    'title' => strip_tags($realization->title),
    'image' => '/images/subpages/realizacje.webp',
    'items' => $breadcrumbs
    ])

    <div class="realization">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-10 offset-md-1">
                    <p class="realization__description">{!! $realization->description !!}</p>
                </div>
            </div>
        </div>
    </div>

    @if(json_decode($realization->images))
        <div class="realization-gallery">
            <div class="container">
                <div class="row justify-content-center">
                    @foreach(json_decode($realization->images) as $image)
                        <div class="col-12 col-md-6 col-lg-4">
                            <a href="{{ asset($image->image) }}" class="realization-gallery__image" data-lightbox="roadtrip">
                                <img loading="lazy" src="{{ asset($image->image) }}" alt="{{ $image->image }}">
                            </a>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    @endif

    @if(json_decode($realization->steps))
        <div class="realization-steps">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-md-10 offset-md-1">
                        <div class="row justify-content-center">
                            @foreach(json_decode($realization->steps) as $step)
                                <div class="col-12 col-lg-6 realization-steps__col">
                                    <div class="realization-steps__body">
                                        <div>
                                            <div class="realization-steps__header">
                                                <div class="realization-steps__number">{{ $loop->iteration }}</div>
                                                <h2 class="realization-steps__title">{{ $step->title }}</h2>
                                            </div>
                                            <p class="realization-steps__description">{{ $step->description }}</p>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif

    @include('global-components.other-realizations')
    @include('global-components.logotypes', ['sectionClass' => 'logotypes--padding-secondary'])
    @include('global-components.testimonials')
    @include('global-components.green-section', ['title' => 'Potrzebujesz takiej usługi?', 'description' => 'Jesteśmy tu po to, aby wspólnie z Wami zrealizować Wasze największe cele biznesowe i nie tylko. Jesteśmy gotowi podjąć wyzwanie razem z Wami. Nasza drużyna specjalistów jest gotowa do wysłuchania Waszych pomysłów i potrzeb. Razem możemy stworzyć plan, który dopasuje się do Waszych unikalnych oczekiwań. Niech nasza wspólna podróż zacznie się od jednej rozmowy, która otworzy nowe możliwości.', 'buttonTitle' => 'Kontakt z nami'])



@endsection
