@extends('_master')

@section('content')

    @include('global-components.subpage-header', ['title' => 'Realizacje', 'image' => '/images/subpages/realizacje.webp'])

    <div class="realizations">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-10 offset-md-1">
                    <p class="realizations__description">Witamy na naszej podstronie realizacji, gdzie chcemy podzielić się z Państwem fascynującymi historiami projektów, które stanowią nie tylko wyraz naszego profesjonalizmu, ale także pasji do skanowania 3D i projektowania w trzech wymiarach. Nasza firma, od zawsze zobowiązana do innowacyjności i doskonałości, podejmuje się różnorodnych wyzwań, tworząc unikalne doświadczenia w świecie trójwymiarowej technologii. Przejrzyjcie nasze dotychczasowe osiągnięcia, które są efektem współpracy z klientami poszukującymi nowatorskich rozwiązań. Każda z naszych realizacji jest nie tylko rezultatem precyzyjnego skanowania, ale także artystycznego podejścia do projektowania 3D.</p>
                </div>
            </div>
            <div class="row justify-content-center">
                @foreach($realizations as $realization)
                    <div class="realizations__col col-12 col-md-6">
                        <a href="{{ route('realization', [$realization->slug]) }}" class="realization">
                            <span class="realization__image-container">
                                <img src="{{ asset($realization->image) }}" alt="{{ strip_tags($realization->title) }}">
                            </span>
                            <span class="realization__card">
                                <h2 class="realization__title">{!! $realization->title !!}</h2>
                                <p class="realization__description">{{ $realization->short_description }}</p>
                            </span>
                        </a>
                    </div>
                @endforeach
            </div>
        </div>
    </div>

    @include('global-components.logotypes', ['sectionClass' => 'logotypes--padding-secondary'])
    @include('global-components.testimonials')
    @include('global-components.green-section', ['title' => 'Zainteresowany?', 'description' => 'Jesteśmy tu po to, aby wspólnie z Wami zrealizować Wasze największe cele biznesowe i nie tylko. Jesteśmy gotowi podjąć wyzwanie razem z Wami. Nasza drużyna specjalistów jest gotowa do wysłuchania Waszych pomysłów i potrzeb. Razem możemy stworzyć plan, który dopasuje się do Waszych unikalnych oczekiwań. Niech nasza wspólna podróż zacznie się od jednej rozmowy, która otworzy nowe możliwości.', 'buttonTitle' => 'Kontakt z nami'])



@endsection
