@extends('_master')

@section('content')

    @include('global-components.subpage-header', ['title' => $service->title, 'image' => '/images/subpages/realizacje.webp'])

    <div class="service">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-10 offset-md-1">
                    <p class="service__description">{!! $service->description !!}</p>
                </div>
            </div>
        </div>
    </div>

    @if(json_decode($service->steps))
        <div class="service-steps">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-md-10 offset-md-1">
                        <div class="row justify-content-center">
                            @foreach(json_decode($service->steps) as $step)
                                <div class="col-12 col-lg-6 service-steps__col">
                                    <div class="service-steps__body">
                                        <div>
                                            <div class="service-steps__header">
                                                <div class="service-steps__number">{{ $loop->iteration }}</div>
                                                <h2 class="service-steps__title">{{ $step->title }}</h2>
                                            </div>
                                            <p class="service-steps__description">{{ $step->description }}</p>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif

    @include('global-components.green-section', ['class' => 'green-section--white', 'title' => 'Zainteresowany usługą?', 'description' => 'Jesteśmy tu po to, aby wspólnie z Wami zrealizować Wasze największe cele biznesowe i nie tylko. Jesteśmy gotowi podjąć wyzwanie razem z Wami. Nasza drużyna specjalistów jest gotowa do wysłuchania Waszych pomysłów i potrzeb. Razem możemy stworzyć plan, który dopasuje się do Waszych unikalnych oczekiwań. Niech nasza wspólna podróż zacznie się od jednej rozmowy, która otworzy nowe możliwości.', 'buttonTitle' => 'Kontakt z nami'])

@endsection
