@extends('_master')

@section('content')

    @include('global-components.subpage-header', ['title' => 'Usługi', 'image' => '/images/subpages/uslugi.webp'])

    <div class="services">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-10 offset-md-1">
                    <p class="services__description">Witamy w świecie innowacyjnych rozwiązań 3D, gdzie nasza firma z pasją i zaangażowaniem oferuje usługi skanowania 3D oraz projektowania w trzech wymiarach. Dzięki zaawansowanym technologiom skanowania 3D oraz doświadczeniu naszego zespołu projektowego, zapewniamy klientom nie tylko precyzyjne odwzorowanie obiektów, ale także unikalne i innowacyjne projekty 3D. Pragniemy być Twoim partnerem w kreowaniu wizji, przekształcając pomysły w realne, trójwymiarowe doświadczenia. Poznaj z nami fascynujący świat możliwości, jakie otwiera przed Tobą technologia 3D.</p>
                </div>
            </div>
            <div class="row justify-content-center">
                @foreach($services as $service)
                    <div class="services__col col-12 col-sm-6 col-md-4 col-lg-3">
                        <a href="{{ route('service', [$service->slug]) }}" class="service-large">
                            <div class="service-large__icon-container">
                                {!! $service->icon !!}
                            </div>
                            <h2 class="service-large__title">{{ $service->title }}</h2>
                            <p class="service-large__description">{{ $service->short_description }}</p>
                            <p class="service-large__read-more">Czytaj więcej</p>
                        </a>
                    </div>
                @endforeach
            </div>
        </div>
    </div>

    @include('global-components.logotypes', ['sectionClass' => 'logotypes--padding-secondary'])
    @include('global-components.testimonials')
    @include('global-components.green-section', ['title' => 'Zainteresowany?', 'description' => 'Jesteśmy tu po to, aby wspólnie z Wami zrealizować Wasze największe cele biznesowe i nie tylko. Jesteśmy gotowi podjąć wyzwanie razem z Wami. Nasza drużyna specjalistów jest gotowa do wysłuchania Waszych pomysłów i potrzeb. Razem możemy stworzyć plan, który dopasuje się do Waszych unikalnych oczekiwań. Niech nasza wspólna podróż zacznie się od jednej rozmowy, która otworzy nowe możliwości.', 'buttonTitle' => 'Kontakt z nami'])



@endsection
