const mix = require('laravel-mix');


/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */
mix.disableNotifications();
mix.webpackConfig({
    optimization: {
        minimize: true,
    },
    stats: {
        warnings: false,
    }
});
mix
    .js('resources/js/pages/homepage/_homepage.js', 'public/js')
    .sass('resources/sass/pages/homepage/_homepage.scss', 'public/css')

    .js('resources/js/pages/about-us/_about-us.js', 'public/js')
    .sass('resources/sass/pages/about-us/_about-us.scss', 'public/css')

    .js('resources/js/pages/services/_services.js', 'public/js')
    .sass('resources/sass/pages/services/_services.scss', 'public/css')

    .js('resources/js/pages/service/_service.js', 'public/js')
    .sass('resources/sass/pages/service/_service.scss', 'public/css')

    .js('resources/js/pages/realizations/_realizations.js', 'public/js')
    .sass('resources/sass/pages/realizations/_realizations.scss', 'public/css')

    .js('resources/js/pages/realization/_realization.js', 'public/js')
    .sass('resources/sass/pages/realization/_realization.scss', 'public/css')

    .js('resources/js/pages/contact/_contact.js', 'public/js')
    .sass('resources/sass/pages/contact/_contact.scss', 'public/css')

    .js('resources/js/pages/privacy-policy/_privacy-policy.js', 'public/js')
    .sass('resources/sass/pages/privacy-policy/_privacy-policy.scss', 'public/css')

    .copy('resources/images', 'public/images')
    .copy('resources/fonts', 'public/fonts');
